Package org.astrogrid.samp.xmlrpc

# Interface SampXmlRpcHandler

All Known Implementing Classes:
  `ActorHandler`, `WebHubXmlRpcHandler`

public interface SampXmlRpcHandler
Interface for an object which can process certain XML-RPC requests. Used by `SampXmlRpcServer`.

Since:
  22 Aug 2008
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canHandleCall(String method)`
Returns true if this handler should be able to process given XML-RPC method.
`Object`
`handleCall(String method, List params, Object reqInfo)`
Processes an XML-RPC call.

## Method Details

### canHandleCall

boolean canHandleCall(String method)
Returns true if this handler should be able to process given XML-RPC method.

Parameters:
  `method` - method name

### handleCall

Object handleCall(String method, List params, Object reqInfo) throws Exception
Processes an XML-RPC call. This method should only be called if `canHandleCall(method)` returns true. The `params` list and the return value must be SAMP-compatible, that is only Strings, Lists and String-keyed Maps are allowed in the data structures. The `reqInfo` parameter may be used to provide additional information about the XML-RPC request, for instance the originating host; this is implementation specific, and may be null.

Parameters:
  `method` - XML-RPC method name
  `params` - XML-RPC parameter list (SAMP-compatible)
  `reqInfo` - optional additional request information; may be null
Returns:
  return value (SAMP-compatible)
Throws:
  `Exception`